List Videos

Retrieve a list of videos from your library

Query Params
string

Filter records by ID Example: id=5992f328ce593000ef000008

string

Filters by keyword, title, source id, id, zobject title

string | null
enum

Filter by active, inactive, or all. If excluded, query will default to 'true'

Allowed:
string

Filter records by friendly title

string

Filter records by source identifier

boolean

Filter records that are either on or off air

boolean

Filter records that are live events

string

Filter records by video source type. Multiple types can be provided by passing a comma-separated list. Examples: zype, hulu, youtube, crunchyroll

string

Filter records by Crunchyroll ID

string

Filter records by Vimeo ID

string

Filter records by YouTube ID

string

Filter records by Hulu ID

boolean

Filter records flagged as mature

string | null
enum

Parental guidance rating of the video

boolean

Filter records by Dynamic Player Technology conditions (Geo-location and device restrictions). If set to true this will return videos that are playable from your location/device.

string

Filter records by created date using times in ISO8601 format (Example: 2017-01-01T00:00:00-00:00) or Unix timestamps (Example: 1483228800) Note: Range filters can be applied by adding a suffix: ‘.gt’, ‘.gte’, ‘.lt’, ‘lte’ (Example: created_at.gte)

date

Filter records by published date using times in ISO8601 format Example: 2017-01-01T00:00:00-00:00 or Unix timestamps 1483228800. Note: Range filters can be applied by adding a suffix: .gt, .gte, .lt, .lte Example: published_at.gte=2017-01-01T00:00:00-00:00

category
object

Filter records that match all category values listed. Example: category[genre][]=comedy&category[language][]=english Matches all playlists having ALL of the category name/value pairs listed.

category_or
object

Filter records that match any category values listed. Example: category_or[genre][]=comedy&category_or[language][]=english Matches all playlists that have ANY of the category name/value pairs listed.

category_and
object

Filter records that match all category values listed. Example: category[genre][]=comedy&category[language][]=english Matches all playlists having ALL of the category name/value pairs listed.

zobject_id
array of strings

Filter records that match any of the Zobject IDs listed

zobject_id
zobject_id_or
array of strings

Filter records that match any of the Zobject IDs listed

zobject_id_or
zobject_id_and
array of strings

Filter records that match all of the Zobject IDs listed

zobject_id_and
boolean

Setting to true will display the full Zobject details, including any custom attributes, for each video record returned in your query.

string

Filter zobject details by Zobject type. Example: zobject_types=episode,season

string

Filter returned zobject fields. Example: zobject_fields=title,description

boolean
boolean
string

Filter returned fields. Example: response_fields=id,title,description

string
enum

Filter by ascending or descending order

Allowed:
string

Sort on the specified field

integer

Page number to return, with per_page dictating page size

integer

Number of records to return per page

Responses

Language
Credentials
Query
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json